## lxqt-config 0.9.0+20150806

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(Qt5Xml REQUIRED QUIET)
find_package(Qt5Concurrent REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(src)
add_subdirectory(liblxqt-config-cursor)
add_subdirectory(lxqt-config-input)
add_subdirectory(lxqt-config-file-associations)
add_subdirectory(lxqt-config-appearance)
add_subdirectory(lxqt-config-monitor)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== liblxqt-config-cursor/CMakeLists.txt ===
project(lxqt-config-cursor)
find_package(X11 REQUIRED)

find_package(PkgConfig REQUIRED)

pkg_check_modules(XCB REQUIRED xcb)
include_directories(${XCB_INCLUDE_DIRS})
link_libraries(${XCB_LIBRARIES})

include_directories (
    ${X11_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/xcr
)

set(lxqt-config-cursor_HDRS
    thememodel.h
    previewwidget.h
    itemdelegate.h
    selectwnd.h
    warninglabel.h
)

set(lxqt-config-cursor_SRCS
    crtheme.cpp
    selectwnd.cpp
    xcr/xcrimg.cpp
    xcr/xcrxcur.cpp
    xcr/xcrthemefx.cpp
    xcr/xcrtheme.cpp
    xcr/xcrthemexp.cpp
    cfgfile.cpp
    previewwidget.cpp
    itemdelegate.cpp
    thememodel.cpp
    warninglabel.cpp
)

set(lxqt-config-cursor_UIS
    selectwnd.ui
    warninglabel.ui
)

find_package(ZLIB REQUIRED)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-cursor_HDRS}
        ${lxqt-config-cursor_SRCS}
        ${lxqt-config-cursor_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-config-cursor_QM_LOADER ${PROJECT_NAME})

#************************************************

add_library(lxqt-config-cursor
    SHARED
        ${lxqt-config-cursor_SRCS}
        ${DESKTOP_FILES}
        ${QM_FILES}
        ${lxqt-config-cursor_QM_LOADER}
)

target_link_libraries(lxqt-config-cursor
    Qt5::X11Extras
    Qt5::DBus
    Qt5::Xml
    ${X11_X11_LIB}
    ${X11_Xcursor_LIB}
    lxqt
    ${ZLIB_LIBRARY}
    ${X11_Xfixes_LIB}
)
# not needed probably ${X11_Xfixes_LIB})

install(TARGETS
    lxqt-config-cursor
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDOR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-appearance/CMakeLists.txt ===
project(lxqt-config-appearance)

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
    "${CMAKE_CURRENT_BINARY_DIR}/../liblxqt-config-cursor"
)

set(H_FILES
    iconthemeinfo.h
)

set(MOC_FILES
    iconthemeconfig.h
    lxqtthemeconfig.h
    fontsconfig.h
    styleconfig.h
    fontconfigfile.h
)

set(CPP_FILES
    main.cpp
    iconthemeconfig.cpp
    iconthemeinfo.cpp
    lxqtthemeconfig.cpp
    fontsconfig.cpp
    styleconfig.cpp
    fontconfigfile.cpp
)

set(UI_FILES
    iconthemeconfig.ui
    lxqtthemeconfig.ui
    fontsconfig.ui
    styleconfig.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)


# Translations **********************************
lxqt_translate_ts(QM_FILES
        UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    ${LIBRARIES}
    lxqt-config-cursor
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-file-associations/CMakeLists.txt ===
project(lxqt-config-file-associations)

set(H_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(MOC_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(CPP_FILES
    mimetypedata.cpp
    mimetypeviewer.cpp
    applicationchooser.cpp
    main.cpp
)

set(UI_FILES
    mimetypeviewer.ui
    applicationchooser.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    KF5::WindowSystem
    Qt5::Xml
    Qt5::DBus
    Qt5::Widgets
    Qt5::Concurrent
    ${LIBRARIES}
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-input/CMakeLists.txt ===
project(lxqt-config-input)
find_package(X11 REQUIRED)

include_directories(
    ${X11_INCLUDE_DIR}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
    "${CMAKE_CURRENT_BINARY_DIR}/../liblxqt-config-cursor"
)

set(lxqt-config-input_HDRS
    keyboardconfig.h
    mouseconfig.h
    mouseconfig.h
    keyboardlayoutconfig.h
    selectkeyboardlayoutdialog.h
)

set(lxqt-config-input_SRCS
    lxqt-config-input.cpp
    keyboardconfig.cpp
    mouseconfig.cpp
    keyboardlayoutconfig.cpp
    selectkeyboardlayoutdialog.cpp
)

set(lxqt-config-input_UIS
    mouseconfig.ui
    keyboardconfig.ui
    keyboardlayoutconfig.ui
    selectkeyboardlayoutdialog.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-input_HDRS}
        ${lxqt-config-input_SRCS}
        ${lxqt-config-input_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_definitions(
  -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt-config-input"
)

add_executable(lxqt-config-input
    ${lxqt-config-input_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-config-input
    Qt5::Widgets
    Qt5::X11Extras
    ${X11_LIBRARIES}
    lxqt
    lxqt-config-cursor
)

install(TARGETS
    lxqt-config-input
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-monitor/CMakeLists.txt ===
project(lxqt-config-monitor)

find_package(Qt5Svg REQUIRED)

set(H_FILES
    main.h
    monitorsettingsdialog.h
    monitor.h
    monitorwidget.h
    xrandr.h
    monitorpicture.h
    quickoptions.h
    savesettings.h
)

set(CPP_FILES
    main.cpp
    monitorsettingsdialog.cpp
    xrandr.cpp
    monitor.cpp
    monitorwidget.cpp
    timeoutdialog.cpp
    monitorpicture.cpp
    quickoptions.cpp
    savesettings.cpp
)

set(UI_FILES
    mainwindow.ui
    monitorwidget.ui
    timeoutdialog.ui
    monitorpicture.ui
    quickoptions.ui
    savesettings.ui
)

set(ICON_FILES
	icons/monitor.svg
	icons/extended.svg
	icons/monitor1onmonitor2ff.svg
	icons/unified.svg
	icons/monitor1offmonitor2on.svg
)

# Config file
configure_file ( configure.in configure.h )

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${QM_FILES}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Svg
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    ${ICON_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/lxqt/icons"
    COMPONENT Runtime
)

## lxqt-config 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
 
 project(lxqt-config)
+set(LXQT_CONFIG_PROJECT "${PROJECT_NAME}")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
@@ -29,6 +30,7 @@
 add_subdirectory(lxqt-config-file-associations)
 add_subdirectory(lxqt-config-appearance)
 add_subdirectory(lxqt-config-monitor)
+add_subdirectory(lxqt-config-locale)
 
 # building tarball with CPack -------------------------------------------------
 include(InstallRequiredSystemLibraries)

=== liblxqt-config-cursor/CMakeLists.txt ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 install(TARGETS
     lxqt-config-cursor
-    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
     COMPONENT Runtime
 )
 install(FILES

=== lxqt-config-appearance/CMakeLists.txt ===
--- 
+++ 
@@ -75,6 +75,11 @@
     lxqt-config-cursor
 )
 
+set_target_properties("${PROJECT_NAME}"
+    PROPERTIES
+    INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
+)
+
 install(TARGETS
     ${PROJECT_NAME}
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,11 @@
     lxqt-config-cursor
 )
 
+set_target_properties(lxqt-config-input
+    PROPERTIES
+    INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
+)
+
 install(TARGETS
     lxqt-config-input
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"

=== lxqt-config-locale/CMakeLists.txt ===
project(lxqt-config-locale)

set(H_FILES
    localeconfig.h
)


set(CPP_FILES
    main.cpp
    localeconfig.cpp
)

set(UI_FILES
    localeconfig.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${QM_FILES}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::Xml
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-monitor/CMakeLists.txt ===
project(lxqt-config-monitor)

find_package(KF5Screen REQUIRED)
find_package(Qt5Svg REQUIRED)

set(HEADERS
    monitorsettingsdialog.h
    monitor.h
    monitorwidget.h
    monitorpicture.h
    loadsettings.h
    settingsdialog.h
)

set(SOURCES
    main.cpp
    monitorsettingsdialog.cpp
    monitor.cpp
    monitorwidget.cpp
    timeoutdialog.cpp
    monitorpicture.cpp
    loadsettings.cpp
    settingsdialog.cpp
)

set(UIS
    monitorsettingsdialog.ui
    monitorwidget.ui
    timeoutdialog.ui
    monitorpicture.ui
)

set(ICONS
	icons/monitor.svg
)

# Config file
configure_file(resources/configure.in configure.h)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${HEADERS}
        ${SOURCES}
        ${UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")

#************************************************

add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Svg
    KF5::Screen
    lxqt
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/applications")
install(FILES ${ICON_FILES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt/icons")

=== debian/changelog ===
lxqt-config (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 18:36:15 +0100

lxqt-config (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update Vcs-* fields.
  * Update copyright.
  * Remove Debian specific menu in favor of .desktop menu system.
  * Install manpage for lxqt-config.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 15:15:10 +0800

lxqt-config (0.9.0+20150806-2) unstable; urgency=medium

  * Fixed .gitignore, removed outdated entries
  * Fixed debian/control sorting and removed outdated versions. 

 -- Alf Gaida <agaida@siduction.org>  Wed, 11 Nov 2015 20:51:11 +0100

lxqt-config (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Initial release. (Closes: #747597)
  * Added watch file.
  * Imported Upstream version 0.8.0.
  * Bump standards to 3.9.6.
  * Drop build dependency libegl1-mesa-dev, bug in Qt 5.3.0 is fixed.
  * Min Qt version 5.3.2.
  * Min liblxqt-qt5-0-dev version 0.8.0.
  * Mangled symbols added.
  * Added intian-overrides.
  * Patch some desktop files.
  * New release 0.9.0 drop not needed patches cleanup debian $foo add
    source/options.
  * Some cleanup in debian $foo.
  * Removed breaks and replaces.
  * Fixes in copyright.
  * Removed debian/symbols.
  * Added link --as-needed to rules to avoid warnings at build time.
  * Fixed licenses.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Drop transitional packages which don't need in debian.
  * Removing whitespaces at EOL and EOF.
  * Added missing build-deps libqt5svg5-dev and qtbase5-private-dev.
  * private-lib.patch: install .so file to private lib path.
  * No need to run ld_config as .so file installed into private lib path.
  * Drop shlib-without-versioned-soname relared overrides.

  [ Yukiharu YABUKI ]
  * Added to ignore *~ files.
  * Added a uploader.
  * Added README.source -- mention for License.

 -- Yukiharu YABUKI <yyabuki@debian.org>  Fri, 21 Aug 2015 19:40:47 +0900

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libx11-dev,
               libxcursor-dev,
               libxfixes-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-config.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-config/releases .*/([\d\.]+).tar.gz

## lxqt-config 0.11.0

=== debian/changelog ===
lxqt-config (0.11.0-2) unstable; urgency=medium

  * Chery-picking new upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, compat 10 standard
  * Bumped build dependency debhelper (>= 10)
  * Bumped build dependency libqtxdg-dev (>= 2.0.0)
  * Added build-depenedency libqt5xdgiconloader-dev (>= 2.0.0)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added Recommends lxqt-config-l10n
  * Added README.md to docs
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed .gititgnore, added build-stamp
  * Fixed VCS fields, use https and plain /git/ 
  * Fixed copyright Format
  * Added missed new files to copyright
  * Bumped years in copyright
  * Fixed lintian-overrides
  * Added DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * Added translation control
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 02:28:02 +0200

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               libxcursor-dev,
               libxfixes-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-config.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-config-l10n
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

## lxqt-config 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config)
set(LXQT_CONFIG_PROJECT "${PROJECT_NAME}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_INPUT "Build the 'lxqt-config-input'" ON)
option(WITH_FILE_ASSOCIATIONS "Build the 'lxqt-config-file-associations'" ON)
option(WITH_APPEARANCE "Build the 'lxqt-config-appearance'" ON)
option(WITH_MONITOR "Build the 'lxqt-config-monitor'" ON)
option(WITH_BRIGHTNESS "Build the 'lxqt-config-brightness'" ON)
option(WITH_LOCALE "Build the 'lxqt-config-locale'" ON)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(Qt5Xml REQUIRED QUIET)
find_package(Qt5Concurrent REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(LXQtTranslate)

add_subdirectory(src)
if (WITH_INPUT OR WITH_APPEARANCE)
    add_subdirectory(liblxqt-config-cursor)
endif()
if (WITH_INPUT)
    add_subdirectory(lxqt-config-input)
endif()
if (WITH_FILE_ASSOCIATIONS)
    add_subdirectory(lxqt-config-file-associations)
endif()
if (WITH_APPEARANCE)
    add_subdirectory(lxqt-config-appearance)
endif()
if (WITH_MONITOR)
    add_subdirectory(lxqt-config-monitor)
endif()
if (WITH_BRIGHTNESS)
    add_subdirectory(lxqt-config-brightness)
endif()
if (WITH_LOCALE)
    add_subdirectory(lxqt-config-locale)
endif()

=== liblxqt-config-cursor/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 project(lxqt-config-cursor)
 find_package(X11 REQUIRED)
 
-find_package(PkgConfig REQUIRED)
-
-pkg_check_modules(XCB REQUIRED xcb)
+find_package(XCB REQUIRED xcb)
 include_directories(${XCB_INCLUDE_DIRS})
 link_libraries(${XCB_LIBRARIES})
 
@@ -52,6 +50,16 @@
         ${lxqt-config-cursor_UIS}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-config/liblxqt-config-cursor"
 )
 
 lxqt_app_translation_loader(lxqt-config-cursor_QM_LOADER ${PROJECT_NAME})

=== lxqt-config-brightness/CMakeLists.txt ===
project(lxqt-config-brightness)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)

find_package(XCB REQUIRED xcb xcb-randr)

set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)


include_directories (
    ${XCB_INCLUDE_DIRS}
)

set(H_FILES
    brightnesssettings.h
	xrandrbrightness.h
    monitorinfo.h
    outputwidget.h
)

set(CPP_FILES
    main.cpp
    brightnesssettings.cpp
    xrandrbrightness.cpp
    monitorinfo.cpp
    outputwidget.cpp
)

set(UI_FILES
    brightnesssettings.ui
    outputwidget.ui
)

qt5_wrap_ui(UI_HEADERS ${UI_FILES})


# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "lxqt-config/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")


add_executable(${PROJECT_NAME} ${CPP_FILES} ${UI_FILES} ${QM_FILES} ${DESKTOP_FILES} ${QM_LOADER})

target_link_libraries(
    ${PROJECT_NAME}
    ${QTX_LIBRARIES}
    ${XCB_LIBRARIES}
    lxqt
)

add_definitions(
  -DICON_DIR="${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps"
)


install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(
    FILES icons/brightnesssettings.svg
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps"
)

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,16 @@
         ${lxqt-config-input_UIS}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-config/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
@@ -68,7 +78,7 @@
 
 set_target_properties(lxqt-config-input
     PROPERTIES
-    INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
+    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
 )
 
 install(TARGETS

=== debian/changelog ===
lxqt-config (0.11.1-4) unstable; urgency=medium

  * Ported back some upstream changes. (Closes: #871154)
    Make lxqt-config work with cmake > 3.7.2  

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 16:06:24 +0200

lxqt-config (0.11.1-3) unstable; urgency=medium

  * Fixed typo lxapperance --> lxappearance
  * Fixed some arches to [linux-any] 

 -- Alf Gaida <agaida@siduction.org>  Wed, 05 Jul 2017 02:38:44 +0200

lxqt-config (0.11.1-2) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Recommend lxqt-qtplugin (Closes: #866234)
  * Recommend lxqt-policykit (Closes: #866739)
  * Recommend lxqt-session and lxqt-powermanagement (Closes: #866760)
  * Recommend galternatives and systemconfig-printer, suggest
    diskmanager, gparted, networkmanagement, synaptic (Closes: #866763)
  * Recommend qt5-style-plugins and suggest adwaita-qt (Closes: #866774)
  * Suggest gnome-themes-standard and faenza-icon-theme (Closes: #866775)

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 18:24:12 +0200

lxqt-config (0.11.1-1) unstable; urgency=medium

  * Chery-picking new upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Added Recommends galternatives

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 12:36:49 +0100

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcursor-dev,
               libxfixes-dev,
               qtbase5-private-dev,
               zlib1g-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-config.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: disk-manager,
            galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            qt5-style-plugins,
            system-config-printer
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          cmst [linux-any] | network-manager-gnome [linux-any],
          lxqt | lxqt-core,
          lxappearance,
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

## lxqt-config 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,19 +19,25 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(Qt5DBus REQUIRED QUIET)
-find_package(Qt5Xml REQUIRED QUIET)
-find_package(Qt5Concurrent REQUIRED QUIET)
-find_package(Qt5X11Extras REQUIRED QUIET)
-find_package(Qt5LinguistTools REQUIRED QUIET)
-find_package(lxqt REQUIRED QUIET)
+find_package(Qt5Widgets REQUIRED)
+find_package(Qt5DBus REQUIRED)
+find_package(Qt5Xml REQUIRED)
+find_package(Qt5Concurrent REQUIRED)
+find_package(Qt5X11Extras REQUIRED)
+find_package(Qt5LinguistTools REQUIRED)
+find_package(lxqt REQUIRED)
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
 endif()
+
+# Patch Version
+set(LXQT_CONFIG_PATCH_VERSION 0)
+
+set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
+add_definitions("-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\"")
 
 include(LXQtTranslate)

=== lxqt-config-appearance/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include_directories(
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
-    "${CMAKE_CURRENT_BINARY_DIR}/../liblxqt-config-cursor"
 )
 
 set(H_FILES
@@ -51,6 +50,16 @@
         ${UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-config/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
@@ -77,7 +86,7 @@
 
 set_target_properties("${PROJECT_NAME}"
     PROPERTIES
-    INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
+    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
 )
 
 install(TARGETS

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include_directories(
     ${X11_INCLUDE_DIR}
     "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
-    "${CMAKE_CURRENT_BINARY_DIR}/../liblxqt-config-cursor"
 )
 
 set(lxqt-config-input_HDRS

=== src/CMakeLists.txt ===
project(lxqt-config)
add_subdirectory(qcategorizedview)

include_directories (
    "${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview"
)

set(lxqt-config_HDRS "")

set(lxqt-config_SRCS
    main.cpp
    mainwindow.cpp
)

set(lxqt-config_MOCS
    mainwindow.h
)

set(lxqt-config_UIS
    mainwindow.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config_HDRS}
        ${lxqt-config_SRCS}
        ${lxqt-config_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "lxqt-config/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config.desktop.in)

#************************************************

add_executable(lxqt-config
    ${lxqt-config_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-config
    KF5::WindowSystem
    Qt5::Widgets
    Qt5::Xml
    lxqt
)

# helper static lib
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview)
target_link_libraries(lxqt-config qcategorizedview)

install(TARGETS
    lxqt-config
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES lxqt-config.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 18:49:33 +0100

lxqt-config (0.12.0-2) unstable; urgency=medium

  * Transition to unstable
  * Drop no longer needed patches

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 21:33:59 +0100

lxqt-config (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release: 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped liblxqt to >= 0.12.0
  * Removed debian/patches - back to pure upstream

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 16:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 10),
                libkf5screen-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -17,9 +17,9 @@
                libxfixes-dev,
                qtbase5-private-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-config.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-config.git
 Homepage: https://github.com/lxde/lxqt-config
 
 Package: lxqt-config

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-config/releases .*/lxqt-config-([\d\.]+).tar.xz

## lxqt-config 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 find_package(Qt5LinguistTools REQUIRED)
 find_package(lxqt REQUIRED)
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 if(NOT CMAKE_BUILD_TYPE)
@@ -37,7 +38,10 @@
 set(LXQT_CONFIG_PATCH_VERSION 0)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
-add_definitions("-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\"")
+add_definitions(
+    "-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
 include(LXQtTranslate)

=== lxqt-config-brightness/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 find_package(Qt5Widgets REQUIRED QUIET)
 find_package(Qt5X11Extras REQUIRED QUIET)
-
 find_package(XCB REQUIRED xcb xcb-randr)
 
 set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)
@@ -71,14 +70,14 @@
 )
 
 add_definitions(
-  -DICON_DIR="${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps"
+    -DICON_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/48x48/apps"
 )
 
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
-install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
 install(
     FILES icons/brightnesssettings.svg
-    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps"
+    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
 )

=== lxqt-config-locale/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
     localeconfig.ui
 )
 
+qt5_wrap_cpp(COMBO_HEADER combobox.h)
+
 # Translations **********************************
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS
@@ -24,6 +26,16 @@
         ${UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-config/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
@@ -33,6 +45,7 @@
 
 add_executable(${PROJECT_NAME}
     ${CPP_FILES}
+    ${COMBO_HEADER}
     ${RESOURCES}
     ${QRC_SOURCES}
     ${QM_FILES}

=== debian/changelog ===
lxqt-config (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:44:49 -0700

lxqt-config (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Added recommend xsettingsd

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 20:43:08 +0200

lxqt-config (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >=11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields to salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 00:22:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: lxqt-config
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5screen-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -17,10 +18,10 @@
                libxfixes-dev,
                qtbase5-private-dev,
                zlib1g-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-config.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-config.git
-Homepage: https://github.com/lxde/lxqt-config
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
+Homepage: https://github.com/lxqt/lxqt-config
 
 Package: lxqt-config
 Architecture: any
@@ -34,7 +35,8 @@
             lxqt-qtplugin,
             lxqt-session,
             qt5-style-plugins,
-            system-config-printer
+            system-config-printer,
+            xsettingsd
 Suggests: adwaita-qt,
           faenza-icon-theme,
           gnome-themes-standard,
